Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 28 Aug 2021 07:46:04 +0000

Hi Ebrahim Qasem,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I have reported a complaint for order no. 9669303538 a long time ago. No one has ever gotten back to me despite many follow ups until today. Delivery experience was the most horrible I have faced. I have requested for action to be taken against the driver but no updates. Customer service also ignored all follow ups and my cash for cancelled item was never refunded back to me. Please take action ASAP. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2963153